# Interface LengthPrefixedBytesLayoutItem

#### Hierarchy

- LayoutItemBase<"bytes">
  - LengthPrefixedBytesLayoutItem

- Defined in core/base/src/utils/layout/layout.ts:80

#####
Index

### Properties

binary
custom?
lengthEndianness?
lengthSize?

## Properties

### `Readonly` binary

binary: "bytes"

Inherited from LayoutItemBase.binary

- Defined in core/base/src/utils/layout/layout.ts:40

### `Optional` `Readonly` custom

custom?: layout.CustomConversion<Uint8Array, any>

- Defined in core/base/src/utils/layout/layout.ts:83

### `Optional` `Readonly` lengthEndianness

lengthEndianness?: Endianness

- Defined in core/base/src/utils/layout/layout.ts:82

### `Optional` `Readonly` lengthSize

lengthSize?: NumberSize

- Defined in core/base/src/utils/layout/layout.ts:81

Generated using TypeDoc